/* GENERAL */

:root {
    --cdi-dark-blue-transparent: rgba(86, 107, 132, 0.8);
    --cdi-dark-blue: rgba(86, 107, 132, 1);
    --cdi-light-blue: rgb(1, 187, 244);
}

html,
body,
div,
span,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
address,
em,
img,
small,
strong,
sub,
sup,
b,
i,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
figcaption,
figure,
footer,
header,
menu,
nav,
section,
audio,
video {
    margin: 0px;
    padding: 0px;
}

html {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

*,
*:before,
*:after {
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

.clearfix:after {
    content: "";
    display: block;
    clear: both;
    height: 0;
    visibility: hidden;
}

* html .clearfix {
    height: 1%;
}

img {
    border: 0px;
}

.button {
    cursor: pointer;
}

html {
    overflow: -moz-scrollbars-vertical;
    overflow-x: auto;
    overflow-y: auto;
}

body {
    background-color: #fff;
}

body {
    font-family: "Open Sans", "Helvetica Neue", Helvetica, Arial, sans-serif;
    font-size: 1em;
    color: #444;
    line-height: 1.6em;
}

a {
    color: #01bbf4;
    text-decoration: none;
}

a:hover {
    color: var(--cdi-dark-blue, #566b84);;
}

h1 {
    margin-bottom: 40px;
    font-family: "Open Sans", arial, helvetica, sans-serif;
    line-height: 1;
    color: var(--cdi-dark-blue, #566b84);;
    text-transform: uppercase;
    font-size: 25px;
}

header {
    background-color: #fff;
    /* height: 72px; */
    position: relative;
    z-index: 9;
    width: 100%;
    box-shadow: 0 0 5px rgba(0, 0, 0, .85);
    display: flex;
    justify-content: space-between;
}

@media only screen and (max-width: 1051px) {
    header {
        flex-direction: column;
        gap: 1rem;
        height: auto;
        padding: 1rem;
    }
}

.header-buttons .header-title {
    background: url(../grfx/logo.png) no-repeat 5px center;
    background-size: auto 54px;
    max-width: 440px;
    padding-left: 110px;
    padding-top: 10px;
    padding-bottom: 10px;
    
}

.header-buttons .header-title h1 {
    background: url(../grfx/header-title.png) no-repeat;
    background-size: auto 54px;
    border-left: 1px solid #e2ebf2;
    text-indent: -9999px;
    width: 308px;
    height: 50px;
    margin: 0;
    padding: 0;
}

.header-buttons {
    display: flex;
    gap: 1rem;
    flex-direction: row;
    align-items: flex-start;
}

.header-account {
    padding-top: 15px;
    padding-right: 10px;

    display: flex;
    gap: 1rem;
    
    flex-direction: row;
    align-items: flex-start;


}

.btn-login {
    background-color: transparent;
    border: 1px solid #01bbf4;
    font-family: "Open Sans", arial, helvetica, sans-serif;
    font-size: 1em;
    color: #01bbf4;
    height: 40px;
    margin-right: 3px;
    cursor: pointer;
    width: 100%;
}

.btn-login:hover {
    background-color: #01bbf4;
    color: #fff;
}

header .header-account .login-container {
    color: white;
    font-size: 16px;
    border: none;
    cursor: pointer;
    position: relative;
    display: inline-block;
    min-width: 180px;
}



#login_part0,
#login_part1 {
    display: none;
}

#login_part0.login-part-active,
#login_part1.login-part-active {
    display: block;
}

header .header-account .dropdown-login {
    display: none;
    background-color: #fff;
    min-width: 180px;
    z-index: 1;
    -webkit-box-shadow: 0px 4px 6px 2px rgba(145, 145, 145, 0.25);
    -moz-box-shadow: 0px 4px 6px 2px rgba(145, 145, 145, 0.25);
    box-shadow: 0px 4px 6px 2px rgba(145, 145, 145, 0.25);
    padding: 5px 0px 5px 0px;
    width: 100%;
    position: absolute;
}


.dropdown-login:focus-within,
.login-container:focus-within .dropdown-login,
.login-container:hover .dropdown-login {
    display: block;
}

.header-basket {
    background-color: #01bbf4;
    border: 2px solid transparent;
    color: #fff;
    height: 40px;
    padding: 4px 10px;
    float: right;
    vertical-align: middle;
    padding-top: 5px;
}



.search .input-checkbox input {
    width: auto;
    margin-right: 5px;
}

.search .input-checkbox {
    display: block;
    float: left;
    width: 100%;
}


/* GEO SEARCH (komt voor in geobox, stepsearch, en startscearch) */
.new-search-geo-location {
    display: grid;
    grid-template-columns: 1fr;
    gap: 0.5rem;
    max-width: 500px;
}

.new-search-geo-location .top-row,
.new-search-geo-location .middle-row,
.new-search-geo-location .bottom-row {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    gap: 0.5rem;
}

.new-search-geo-location .top-row input[type="text"] {
    margin-top: 0.5rem;
}
.new-search-geo-location .top-row input[type="text"],
.new-search-geo-location .bottom-row input[type="text"] {
    grid-column: 2 / span 2;
}


.new-search-geo-location .middle-row input[type="text"] {
    grid-column: span 2;
}

.new-search-geo-location input[type="text"] {
    font-size: 1rem;
    cursor: pointer;
    float: left;
    text-align: center;
    padding: 0.25rem;
    color: var(--cdi-dark-blue, #566b84);;
    border: 1px solid #ccc;
}

.new-search-geo-location .button_select_by_box {
    width: 38px;
    height: 38px;
    background-image: url(../grfx/mapcontrols.png);
    background-position: 0px -350px;
    background-repeat: no-repeat;
    background-size: 100px auto;
    width: 43px;
    height: 36px;
    cursor: pointer;
    display: inline-block;
    float: left;
}

/* Eind geo search */
    


.btn-login span.my-seadatanet {
    color: #666666;
    display: block;
    font-size: 0.8em;
    text-align: center;
    font-family: "Open Sans", "Helvetica Neue", Helvetica, Arial, sans-serif;
    margin-top: -4px;
}

.btn-login span.my-seadatanet:after {
    content: "";
    display: inline-block;
    margin: 0 auto;
    background: url(../grfx/arrow-myseadatanet-small.png) no-repeat;
    width: 10px;
    height: 9px;
    margin-left: 5px;
}

.btn-login:hover span:after {
    visibility: hidden;
}

.btn-login:hover span {
    color: #fff;
}



input,
select {
    border-radius: 0px !important;
    border: 1px solid #ccc;
    box-shadow: none;
}

.search-info {
    background: url(../grfx/info-title-icon.png) #ef8d3d no-repeat center center;
    background-size: auto 10px;
    border-radius: 50%;
    width: 14px;
    height: 14px;
    display: inline-block;
    cursor: pointer;
    vertical-align: middle;
    margin-left: 5px;
    position: relative;
}

.search-info:before,
.search-info:after {
    display: block;
    opacity: 0;
    pointer-events: none;
    position: absolute;
}

.search-info:after {
    border-right: 6px solid transparent;
    border-bottom: 6px solid rgba(0, 0, 0, .75);
    border-left: 6px solid transparent;
    content: '';
    height: 0;
    top: 20px;
    left: 20px;
    width: 0;
}

.search-info:before {
    background: rgba(0, 0, 0, .75);
    border-radius: 2px;
    font-size: 0.8em;
    color: #fff;
    content: attr(data-title);
    white-space: pre-wrap;
    width: 306px;
    max-width: 342px;
    padding: 6px 10px;
    top: 26px;
    z-index: 100;
}

.search-info:after,
.search-info:before {
    transform: translate3d(0, -10px, 0);
    transition: all .15s ease-in-out;
}

.search-info:hover:after,
.search-info:hover:before {
    opacity: 1;
    transform: translate3d(0, 0, 0);
}

input[type=text] {
    /* Remove First */
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

.dropdown-login li {
    color: #666666;
    padding: 3px 10px 0px 10px;
    text-decoration: none;
    display: block;
    transition-duration: 0.3s;
    font-weight: bold;
}

.dropdown-login li a {
    color: #666666;
}

.login-container li:hover,
.dropdown-login li a:hover {
    color: #01bbf4;
}




.basket-active .basket-amount {
    background-color: #fff;
    border-radius: 50%;
    font-weight: bold;
    font-size: 0.85em;
    color: #007C9F;
    text-align: center;
    min-width: 30px;
    margin-top: -2px;
    padding: 2px;
    animation: rotateIn 1s ease;
    animation-fill-mode: forwards;
    animation-play-state: running;
}

@-webkit-keyframes rotateIn {
    from {
        -webkit-transform-origin: center;
        transform-origin: center;
        -webkit-transform: rotate3d(0, 0, 1, -200deg);
        transform: rotate3d(0, 0, 1, -200deg);
        opacity: 0;
    }
    to {
        -webkit-transform-origin: center;
        transform-origin: center;
        -webkit-transform: translate3d(0, 0, 0);
        transform: translate3d(0, 0, 0);
        opacity: 1;
    }
}

@keyframes rotateIn {
    from {
        -webkit-transform-origin: center;
        transform-origin: center;
        -webkit-transform: rotate3d(0, 0, 1, -200deg);
        transform: rotate3d(0, 0, 1, -200deg);
        opacity: 0;
    }
    to {
        -webkit-transform-origin: center;
        transform-origin: center;
        -webkit-transform: translate3d(0, 0, 0);
        transform: translate3d(0, 0, 0);
        opacity: 1;
    }
}

.basket-label {
    text-transform: uppercase;
    margin-right: 10px;
    cursor: pointer;
}

.basket-amount {
    margin: 0px 14px;
    display: inline-block;
    vertical-align: top;
    cursor: pointer;
}

.btn-reset-basket {
    background: url(../grfx/btn-reset-basket.png) no-repeat transparent;
    background-size: auto 20px;
    border: 0px;
    text-indent: -9999px;
    width: 24px;
    height: 24px;
    cursor: pointer;
}





#content p {
    padding-top: 1rem;
    padding-bottom: 1rem;

}

#map {
    /*	border-top:22px solid #000; */
    box-sizing: border-box;
    height: 100%;
    right: 0;
    position: absolute;
    width: 100%;
    z-index: 0;
}



#map .map-info {
    position: absolute;
    bottom: 1rem;
    left: 1rem;
    z-index: 1;
    background-color: var(--cdi-dark-blue-transparent);
    color: #fff;
    padding: 2px 8px;
    border-radius: 999px;

    display: flex;
    flex-direction: row;
    gap: 1rem;;
    font-size: 12px;

}

#map .openstreetmap-copyright {
    position: absolute;
    bottom: 1rem;
    right: 1rem;
    z-index: 1;
    background-color: var(--cdi-dark-blue-transparent);
    color: #fff;
    padding: 2px 8px;
    border-radius: 999px;
    font-size: 12px;
}

#map .openstreetmap-copyright a {
    color: #fff;
}


.browse-results th a,
.browse-elastic-results th a {
    color: #fff;
}

.browse-elastic-results th a:hover,
.browse-results th a:hover {
    text-decoration: underline;
}

.results .nothing-found {
    color: #ff0000;
}

.sort-default,
.sort-asc,
.sort-desc {
    background-repeat: no-repeat;
    background-position: right center;
    background-size: 10px auto;
    padding-right: 18px;
}


/* .sort-default					{ background-image: url(/cdi_v5/grfx/sort-default.png); } */

.sort-asc {
    background-image: url(../grfx/sort-asc.png);
}

.sort-desc {
    background-image: url(../grfx/sort-desc.png);
}



#content .version-table tr:first-child td:nth-child(2):after,
#content .results table th.browse-column-0:after {
    content: "";
    display: inline-block;
    background: url(../grfx/basket-icon-small.png) no-repeat;
    background-size: 20px 20px;
    width: 20px;
    margin-left: 10px;
    vertical-align: top;
    height: 20px;
}

.basket-active {
    background: #ef8d3d;
}

.basket-active .basket-label {
    font-weight: bold;
}


/* colors */

.unrestricted li,
.restricted li {
    font-size: 0.85em;
    display: inline-block;
    list-style: none;
    text-align: center;
    width: 100%;
    max-width: 60px;
    line-height: 30px;
    height: 30px;
    vertical-align: top;
}

.unrestricted li a,
.restricted li a {
    text-decoration: none;
}

.status-orange {
    background: #da8c53;
}

.status-green {
    background: #a0c79b;
}

.status-blue {
    background: #9ccff3;
}

.status-red {
    background: #ff6666;
}

.status-white {
    background: #fff;
}

.status-yellow {
    background: #EDC67F;
}

.status-orange a {
    color: #8E4C1B;
}

.status-green a {
    color: #3A8132;
}

.status-blue a {
    color: #33729E;
}

.status-red a {
    color: #A62121;
}

.status-white a {
    color: #737373;
}

.status-yellow a {
    color: #A38958;
}


/* iframes */

#browse-iframe,
#summary-iframe {
    width: 100%;
    height: calc(100vh - 120px);
    border: none;
}

#browse-iframe {
    height: calc(100vh - 120px);
}


/* button */

.btn {
    background: var(--cdi-dark-blue, #566b84);;
    border: 0px;
    padding: 8px 10px;
    font-weight: 700;
    text-transform: uppercase;
    color: #fff;
    transition: all 0.3s ease 0s;
    cursor: pointer;
}
.btn:hover {
    background: #01bbf4;
    color: #fff;
}

ul.footer-btns {
    width: auto;
    list-style: none;
    text-align: center;
    padding: 10px;
    display: inline-block;
    z-index: 9999999999999;
}

.top-buttons {
    background: #f8dbb1;
    clear: both;
}

li.search_button_reset {
    background: var(--cdi-dark-blue, #566b84);;
}

ul.footer-btns li.search_button_search,
ul.nav-topbar-search li.search_button_search {
    background: #f87b15;
}

ul.footer-btns li.search_button_search:hover,
ul.nav-topbar-search li.search_button_search:hover {
    background: #ef8d3d;
}

.feedback_mlb_lightbox,
.survey-response {
    background: var(--cdi-dark-blue, #566b84);;
    border: 0px;
    padding: 8px 10px;
    font-size: 0.9rem;
    line-height: 1.1rem;
    font-weight: bold ;
    text-transform: uppercase;
    color: #fff;
    transition: all 0.3s ease 0s;
    cursor: pointer;
    align-self: center;
    text-wrap: nowrap;
}

.survey-response {
    background: #f87b15;
    color: #fff;
}

.survey-response:hover {
    background: #01bbf4;
}

.survey-response a {
    color: #fff;
    display: block;
    width: 80px;
    max-width: 100%;
}

.feedback_mlb_lightbox:hover,
.survey-response:hover {
    background: #01bbf4;
    color: #fff;
}

.feedback_mlb_lightbox:before,
.survey-response:before {
    content: "";
    
    display: inline-block;
    margin-right: 0.5em;

    width: 16px;   
    height: 13px;

    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    background-image: url(../grfx/bubble-icon.png);
}

.survey-response:before {
    background-image: url(../grfx/survey-icon.png);
}

.survey-popup {
    background: rgba(0,0,0,0.8);
    -webkit-backdrop-filter: blur(5px);
    backdrop-filter: blur(5px);
    position: absolute;
    border-radius: 0.25rem;
    right: 1rem;
    bottom: 1rem;
    z-index: 999999999999999999999;
    text-align: center;
    color: #fff;
    padding: 30px 20px 0px 20px;
    width: 350px;
    max-width: 100%;
    display: none;
}

.survey-popup p {
    font-size: 0.9em;
}

.survey-popup a {
    text-decoration: underline;
    color: #fff;
    font-size: 0.8em;
    display: block;
}

.survey-popup a:hover {
    text-decoration: none;
}

.survey-popup h3 {
    font-weight: bold;
    color: #fff;
    margin-bottom: 15px;
    font-size: 1.3em;
    margin-top: 5px;
}

.survey-popup button {
    border-radius: 0.25rem;
    color: #fff;
    background: #f87b15;
    text-transform: uppercase;
    font-weight: bold;
    font-size: 1.3em;
    border: none;
    cursor: pointer;
    margin: 15px 0px;
    transition: all 0.3s ease 0s;
    margin-top: 10px;
    padding: 10px 30px;
}

.survey-popup button a {
    text-decoration: none;
}

.survey-popup .survey-close {
    background: url(../grfx/close-white-btn.png) no-repeat;
    background-size: auto 15px;
    text-indent: -9999px;
    position: absolute;
    top: 20px;
    right: 20px;
    width: 15px;
    height: 15px;
    float: right;
    cursor: pointer;
}

.survey-popup button:hover {
    opacity: 0.5;
}

ul.nav-topbar-search li.search_button_reset:hover {
    opacity: 0.8;
}

.form .form-data input[type=submit],
.form .form-data input[type=reset] {
    border-right: 1px solid #f1f1f1;
    padding: 10px 15px;
    font-family: "Open Sans", arial, helvetica, sans-serif;
    text-transform: uppercase;
    list-style: none;
    float: left;
    cursor: pointer;
    font-size: 1.2em;
    color: #fff;
    width: 50%;
    transition: all 0.3s ease 0s;
    height: 50px;
    padding-top: 8px;
    background: var(--cdi-dark-blue, #566b84);;
}

.form textarea {
    width: 100%;
    height: 100px;
}

.form-comment {
    color: #ff0000;
}

.form .form-data input[type=submit],
.form .form-data input[type=reset] {
    width: 100px;
    height: auto;
    padding: 5px 10px;
    margin-right: 15px;
    border: 0px;
}

.form .form-data input {
    padding: 5px;
    width: 100%;
}

.form textarea {
    padding: 10px;
}

.form .form-desc {
    font-weight: bold;
}

.form .form-data {
    margin-bottom: 10px;
}

.form .form-data input {
    padding: 10px;
}

.form .form-data input[type=submit] {
    background: #f87b15;
}

ul.footer-btns li:last-child {
    border-right: 0px;
}

ul.footer-btns li.search_button_search:after,
ul.footer-btns li.search_button_reset:after,
ul.footer-btns li.browse_act_mlb_lightbox:after,
ul.footer-btns li.add-to-basket:after,
ul.footer-btns li.print-print:after {
    background: url(../grfx/search-icon.png);
    background-size: 20px 23px;
    content: "";
    margin-left: 10px;
    display: inline-block;
    vertical-align: bottom;
    width: 20px;
    height: 21px;
    list-style: none;
}

ul.footer-btns li.search_button_reset:after {
    background: url(../grfx/reset-icon.png);
    background-size: 20px 23px;
    content: "";
}

ul.footer-btns li.browse_act_mlb_lightbox:after {
    background: url(../grfx/export-icon.png) no-repeat;
    background-size: 15px 16px;
    content: "";
}

ul.footer-btns li.browse_act_mlb_lightbox:last-child:after {
    background: url(../grfx/save-icon.png);
    background-size: 18px 18px;
    background-repeat: no-repeat;
    content: "";
}

ul.footer-btns li.add-to-basket:after {
    background: url(../grfx/basket-icon.png);
    background-size: 20px 21px;
    content: "";
}



ul.footer-btns li.print-print:after {
    background: url(../grfx/print-icon.png);
    background-size: 20px 21px;
    content: "";
}

#page_overlay_move_actions {
    z-index: 1000;
    position: absolute;
    width: calc(100% + 200px);
    height: calc(100vh - 72px);
    pointer-events: none;
}

.noselect {
    -webkit-touch-callout: none;
    /* iOS Safari */
    -webkit-user-select: none;
    /* Safari */
    -khtml-user-select: none;
    /* Konqueror HTML */
    -moz-user-select: none;
    /* Firefox */
    -ms-user-select: none;
    /* Internet Explorer/Edge */
    user-select: none;
    /* Non-prefixed version, currently
									supported by Chrome and Opera */
}

ul.my-search-action li {
    z-index: 99999;
}



/* messages */

/* Container styling */
.messages-wrap {
    list-style: none;
    padding: 0;
    margin: 20px 0;
    max-width: var(--max-width);
}

/* General message styling */
.message {
    padding: 12px 16px;
    margin-bottom: 10px;
    border-radius: 6px;
    font-size: 16px;
    font-weight: 500;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    display: flex;
    align-items: center;
    gap: 10px;
}

/* Error message styling */
.error-message {
    background-color: #ffe6e6;
    color: #d93025;
    border-left: 5px solid #d93025;
}

/* Success message styling */
.success-message {
    background-color: #e6ffe6;
    color: #1e7d32;
    border-left: 5px solid #1e7d32;
}

/* Adding icons */
.message::before {
    content: "⚠️";
    font-size: 20px;
}

.success-message::before {
    content: "✔️";
}

.error-message::before {
    content: "❌";
}

/* --------------------------------------- */


/* mediaqueries css */


/* --------------------------------------- */

@media only screen and (max-width: 1190px) {
    #browse-iframe,
    #summary-iframe {
        width: 100%;
    }
}



@media only screen and (max-width: 768px) {
    #mlb_container {
        width: 100% !important;
        max-width: 100% !important;
        left: 0px !important;
    }
    #content table td {
        width: 100%;
        display: block;
    }
    ul.footer-btns {
        font-size: 0.7em;
    }
}

@media only screen and (max-width: 480px) {
    #mlb_container {
        opacity: 0.95;
    }
    ul.footer-btns li.print-xml:after,
    ul.footer-btns li.print-print:after,
    ul.footer-btns li.add-to-basket:after {
        display: none;
    }
    .survey-response,
    .feedback_mlb_lightbox {
        display: none;
    }
}